package org.jeecg.modules.api.workorderController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.CollectionService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="收藏信息相关接口")
@RestController
@RequestMapping("/workorder/collection")
@Slf4j
public class CollectionController {

    //轮播图信息
    @Resource
    private CollectionService collectionService;
    /****************************************************************************************************/

    @ApiOperation(value="收藏信息-我的收藏", notes="收藏信息-我的收藏")
    @RequestMapping(value = "/queryCollectionList", method = {RequestMethod.GET})
    public Result<?> queryCollectionList(String userId, PageBean pageBean){
        return collectionService.queryCollectionList(userId, pageBean);
    }

}
